<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__crypto__hmac__buffers__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_crypto_hmac_buffers_t</compoundname>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__crypto__hmac__buffers__t_1ad601a83473860b71cd735380135f77b8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_crypto_hmac_buffers_t::ipad[CY_CRYPTO_HMAC_MAX_PAD_SIZE/4u]</definition>
        <argsstring>[CY_CRYPTO_HMAC_MAX_PAD_SIZE/4u]</argsstring>
        <name>ipad</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" bodystart="58" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" line="58" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__hmac__buffers__t_1ae3bb08d14a47c6c0d87af052fc3bf35b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_crypto_hmac_buffers_t::opad[CY_CRYPTO_HMAC_MAX_PAD_SIZE/4u]</definition>
        <argsstring>[CY_CRYPTO_HMAC_MAX_PAD_SIZE/4u]</argsstring>
        <name>opad</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" bodystart="59" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" line="59" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__hmac__buffers__t_1a9b01f3b5c5fdd0b2de8c196170e2e385" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_crypto_hmac_buffers_t::m0Key[CY_CRYPTO_SHA_MAX_BLOCK_SIZE/4u]</definition>
        <argsstring>[CY_CRYPTO_SHA_MAX_BLOCK_SIZE/4u]</argsstring>
        <name>m0Key</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" bodystart="60" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" line="60" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__hmac__buffers__t_1a1b5c4223d7030d81fb6262b28f607876" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_crypto_v1_sha512_buffers_t</type>
        <definition>cy_stc_crypto_v1_sha512_buffers_t cy_stc_crypto_hmac_buffers_t::shaBuffers</definition>
        <argsstring />
        <name>shaBuffers</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" bodystart="61" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" line="61" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__hmac__buffers__t_1a93151ef623b80f5833801524615a5685" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_crypto_v1_hmac_state_t</type>
        <definition>cy_stc_crypto_v1_hmac_state_t cy_stc_crypto_hmac_buffers_t::hmacState</definition>
        <argsstring />
        <name>hmacState</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" bodystart="62" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" line="62" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="106">
        <label>cy_stc_crypto_v1_hmac_state_t</label>
      </node>
      <node id="105">
        <label>cy_stc_crypto_hmac_buffers_t</label>
        <childnode refid="106" relation="usage">
          <edgelabel>hmacState</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="63" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" bodystart="56" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" line="57" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__crypto__hmac__buffers__t_1a93151ef623b80f5833801524615a5685" virt="non-virtual"><scope>cy_stc_crypto_hmac_buffers_t</scope><name>hmacState</name></member>
      <member prot="public" refid="structcy__stc__crypto__hmac__buffers__t_1ad601a83473860b71cd735380135f77b8" virt="non-virtual"><scope>cy_stc_crypto_hmac_buffers_t</scope><name>ipad</name></member>
      <member prot="public" refid="structcy__stc__crypto__hmac__buffers__t_1a9b01f3b5c5fdd0b2de8c196170e2e385" virt="non-virtual"><scope>cy_stc_crypto_hmac_buffers_t</scope><name>m0Key</name></member>
      <member prot="public" refid="structcy__stc__crypto__hmac__buffers__t_1ae3bb08d14a47c6c0d87af052fc3bf35b" virt="non-virtual"><scope>cy_stc_crypto_hmac_buffers_t</scope><name>opad</name></member>
      <member prot="public" refid="structcy__stc__crypto__hmac__buffers__t_1a1b5c4223d7030d81fb6262b28f607876" virt="non-virtual"><scope>cy_stc_crypto_hmac_buffers_t</scope><name>shaBuffers</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>